FROM debian:latest
RUN apt-get update && apt-get install -y \
  gpg \
  dpkg-dev \
  apt-utils \
  wget \
  dh-make \
  debhelper \
  javahelper \
  gradle \
  default-jdk-headless \
  git-buildpackage \
  gradle-debian-helper \
  jq \
  aptly \
  && rm -rf /var/lib/apt/lists/*
RUN adduser signald
COPY deb-scripts/release-deb.sh /usr/bin/release-deb
COPY deb-scripts/get-component.sh /usr/bin/get-component
COPY deb-scripts/repo-cron.sh /usr/bin/repo-cron
USER signald
RUN add apt-signing-key.asc /tmp/apt-signing-key.asc
RUN gpg --no-default-keyring --keyring trustedkeys.gpg --import /tmp/apt-signing-key.asc
